rpm (6.1.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * use dh-cruft to register & purge volatile files

  [ Luca Boccassi ]
  * New upstream version 6.1.0
  * Switch to dh-compat 14
  * Drop priority: optional, now it's default
  * Drop Rules-Requires-Root: no, now it's default
  * Bump Standards-Version to 4.7.4
  * Install new files
  * List new symbols for 6.1.0
  * Switch from libselinux1-dev to libselinux-dev
  * Drop unused Lintian override
  * Override Lintian false positive
  * Add d/u/metadata

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Aug 2026 19:33:32 +0100

rpm (6.0.1-1) unstable; urgency=medium

  * New upstream version 6.0.1
  * Drop luaopen-posix-fix.patch, merged upstream
  * Update symbols files for 6.0.1

 -- Luca Boccassi <bluca@debian.org>  Mon, 15 Dec 2025 16:48:39 +0000

rpm (6.0.0-2) unstable; urgency=medium

  * macros: do not verify signatures by default

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Nov 2025 00:56:15 +0000

rpm (6.0.0-1) unstable; urgency=medium

  * Drop +dfsg repacking, html docs were removed
  * d/watch: update to version 5
  * New upstream version 6.0.0
  * Drop usermod-root.patch, merged upstream
  * Make rpm-sequoia a requirement
  * Drop patches that modify RPM macros
  * d/control: bump Standards-Version to 4.7.2, no changes
  * Bump dependency on rpm-sequoia
  * Add build dependency on scdoc
  * Backport patch to fix build failure
  * Drop rpm-i18n package, locale files no longer built
  * Install new files
  * Update symbols files for 6.0.0
  * Update d/copyright for removed/renamed files
  * Update Lintian overrides for groff
  * Ignore mangled C++ symbols
  * Update Lintian overrides for test files
  * autopkgtest: avoid test failure and don't verify signature

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Nov 2025 00:56:55 +0000

rpm (4.20.1+dfsg-3) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Properly break manpages-l10n, so that localized man pages can be
    shipped in Trixie. (Closes: #1077994)

  [ Luca Boccassi ]
  * Backport patch to fix sysuser.sh script with $ROOT

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Jun 2025 13:35:15 +0100

rpm (4.20.1+dfsg-2) unstable; urgency=medium

  * Enable support for librpm-sequoia

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Mar 2025 10:51:04 +0000

rpm (4.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version 4.20.1+dfsg
  * Drop patch merged upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 21 Feb 2025 10:25:10 +0000

rpm (4.20.0+dfsg-4) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Remove retired package uploader.

  [ Luca Boccassi ]
  * Backport patch to fix unshare plugin error on bootstrap (Closes:
    #1093779)

 -- Luca Boccassi <bluca@debian.org>  Sun, 16 Feb 2025 19:13:20 +0000

rpm (4.20.0+dfsg-3) unstable; urgency=high

  * Fully restore internal openpgp parser

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Oct 2024 13:30:35 +0100

rpm (4.20.0+dfsg-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Explicitly add the needed libacl1-dev build dependency

  [ Luca Boccassi ]
  * autopkgtest: disable debuginfo package instead of changing spec to
    noarch

 -- Luca Boccassi <bluca@debian.org>  Wed, 16 Oct 2024 12:17:35 +0100

rpm (4.20.0+dfsg-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Build depend on python3-dev instead of python3-all-dev (Closes:
    #1071148)

  [ Pino Toscano ]
  * Explicitly disable Linux features on non-Linux architectures

  [ Luca Boccassi ]
  * New upstream version 4.20.0+dfsg
  * Drop patches merged upstream
  * Disable rpm-sequoia
  * Perl bindings are no longer provided
  * Update symbols files
  * autopkgtest: set needs-root and noarch for script-only test package

 -- Luca Boccassi <bluca@debian.org>  Sun, 13 Oct 2024 22:15:01 +0100

rpm (4.19.1.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 May 2024 17:49:47 +0100

rpm (4.19.1.1+dfsg-1~exp) experimental; urgency=medium

  [ Loren M. Lang ]
  * Fix librpm symbol versions to reflect when they are actually available

  [ Luca Boccassi ]
  * d/copyright: update Files-Excluded, html docs moved
  * Bump Standards-Version to 4.7.0, no changes
  * New upstream version 4.19.1.1
  * Drop Debian specific disablement/redirection patches. RPM will now use the
    default upstream database directory, and will no longer print warnings.
    (Closes: #1004863, #1008818, #794495)
  * Drop autogen-cleanup.patch, autoconf is no longer used
  * Refresh patches for 4.19
  * Update for new CMake build system
  * Update for ABI bump to SONAME version 10
  * Add myself to Uploaders
  * Drop pandoc build dependency (Closes: #1066841)
  * Backports CMake fixes for awk detection from upstream
  * Add Multi-Arch annotations
  * Add Forwarded tags to patches sent upstream
  * Drop usr-bin.patch, utilities have now all moved to /usr/bin/
  * Drop rpm-4.10.90-rpmlib-filesystem-check.patch, no longer needed
  * Drop tempfile.patch, the script it patches never worked on Linux

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 22:03:12 +0100

rpm (4.18.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063186

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:44:30 +0000

rpm (4.18.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * Add d/salsa-ci.yml
  * rpm: add RPM_FORCE_DEBIAN= env var as alternative to --force-debian
    (Closes: #1051223)
  * Install D-Bus conf file in /usr/ instead of /etc/

  [ Michel Lind ]
  * Enable NDB backend
  * Replace pkg-config with pkgconf
  * Trim trailing whitespace
  * Set field Upstream-Name in debian/copyright

 -- Luca Boccassi <bluca@debian.org>  Sun, 25 Feb 2024 13:29:45 +0000

rpm (4.18.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Enable the read-only BerkeleyDB backend. Closes: #1061258
  * Add the year 2024 to my debian/* copyright notice.
  * Use dh-package-notes to record ELF package metadata.
  * New upstream release:
    - add the FILECMD parameter to the configure invocation
    - remove the Python egg-info file installed by the upstream build system;
      pybuild handles that for us

 -- Peter Pentchev <roam@debian.org>  Sun, 21 Jan 2024 23:44:55 +0200

rpm (4.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * New upstream release:
    - drop the triplet-suffix patch, integrated upstream
    - drop the cppcheck patch, partially integrated upstream
    - adapt the debian-disable-rpm patch for the moved rpmprob.h file
    - update the lua-libname patch to use Lua 5.3
    - refresh patch line numbers
    - install rpmuncompress and rpm_macros_provides.sh into the rpm package
    - update the library symbols files

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 20:29:48 +0200

rpm (4.17.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Catch up with the changed format of some Lintian messages.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice.
  * Fix the DEP-3 headers of two patches.
  * Minor improvements to the Python coding style of the autopkgtest tool:
    - use black version 22
    - reformat with 100 characters per line
    - drop the flake8 + hacking Tox test environment
    - specify version constraints for the dependencies in the Tox test
      environments
    - use deferred type annotations and the base collection type names,
      not those from the typing library
    - use python3-utf8-locale
  * New upstream release:
    - drop the gnueabihf and gnuabi64 patches, merged upstream
    - refresh patch line numbers
    - add three new symbols to the librpmio9 package's symbols file
  * Use +dfsg, not +dfsg1, as a repack suffix.

 -- Peter Pentchev <roam@debian.org>  Wed, 07 Sep 2022 14:16:37 +0300

rpm (4.17.0+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Teach the autopkgtest about RPM target architecture families like
    "arm": try to expand the result of `rpm --eval '%{_arch}'` to see
    whether it corresponds to a list of architecture names.
    Closes: #1000467 (again, sorry!).

 -- Peter Pentchev <roam@debian.org>  Wed, 01 Dec 2021 16:39:27 +0200

rpm (4.17.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add the gnuabi64 patch to fix the GNU triplet suffix issue on
    mipsel, too (caught by the guard in the triplet-suffix patch).
    Update the triplet-suffix patch accordingly.

 -- Peter Pentchev <roam@debian.org>  Sat, 27 Nov 2021 22:23:26 +0200

rpm (4.17.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add pandoc as a build dependency to fix a "FTBFS twice in a row" bug.
  * Sort the list of build dependencies alphabetically.
  * Add an epoch to the debugedit dependency. Closes: #1000575
  * Add the gnueabihf patch to fix the armhf build. Closes: #968487
  * Make the brp-python-bytecompile script executable.
  * Fix the filename in a Facebook copyright notice.
  * Fix the pythondistdeps.py interpreter name.
  * Drop the no-op debian/dirs file.
  * Also hardcode the /bin/mkdir path in `mkdir -p`. Closes: #990329
  * Activate all the build hardening flags.
  * Add the triplet-suffix patch as an attempt to catch earlier any
    future breakage with new, unrecognized GNU target triplets.
  * Refresh the line numbers in two patches.
  * Add the cppcheck patch to fix two minor issues.

 -- Peter Pentchev <roam@debian.org>  Sat, 27 Nov 2021 00:58:55 +0200

rpm (4.17.0+dfsg1-1) unstable; urgency=medium

  [ Peter Pentchev ]
  * Team upload.
  * Switch the build dependency to the unversioned libsepol-dev and
    libsemanage-dev, since libsepol1-dev and libsemanage1-dev are
    now gone. Closes: #999816
  * Add the usr-bin patch to fix the rpm.daily script.
  * Teach the watch file about ftp.osuosl.org.
  * Bump the watch file format version to 4 with no changes.
  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add Build-Depends-Package to the symbols files.
  * Drop the --as-needed flag, it is on by default now.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Update Michal Čihař's debian/* copyright notice.
  * Add copyright notices for myself and Matthias Klose.
  * Rename manpage-has-errors-from-man to groff-message.
  * Drop some obsolete Lintian overrides.
  * Drop some trailing whitespace in a package description.
  * Add an autopkgtest for rpm and rpmbuild.
  * Bump the debhelper compat level to 13 and drop the dh_missing
    invocation with the --fail-missing option, this is the default now.
  * Use execute_after_* debhelper targets.
  * Use debian/clean instead of a rules file target.
  * Explicitly pass the paths to some tools to fix mismatches between
    packages built on usrmerged vs. non-usrmerged systems.
    Closes: #915849
  * New upstream version:
    - drop the CVE-2021-3421-CVE-2021-20271 and CVE-2021-20266 patches,
      they were taken from upstream
    - update the Lua build dependency to version 5.3
    - drop the 0012-pythondistdeps.py-Use-python3-in-shebang patch,
      the Python tools were moved to a separate source package
    - drop the debugedit-trunk and gcc-dwarf5 patches, debugedit was
      moved to a separate source package
    - drop the hide-symbols patch, it was accepted upstream
    - do not install the fileattrs, brp-python*, and pythondistdeps tools,
      they were moved to a separate source package
    - update the list of tools that we do not let the configure script
      autodetect for usrmerge-related reasons
    - drop the debugedit binary package and its associated files,
      it has moved to a separate source package
    - reflect the doc/ -> docs/ move in debian/rpm.docs, too
    - override three source-is-missing Lintian warnings for some test
      suite files; the sources are in another directory
    - update the library symbols files, dropping several obsolete
      functions from a mostly internal-use library; no packages in
      the Debian archive reference the dropped symbols
    - add an entry to rpm.NEWS with a warning to export the RPM package
      database before performing this upgrade
    - add the Facebook copyright notice for the fsverity code
  * Add libfsverity support.
  * Add back the Python packaging scripts until the python-rpm-packaging
    project cuts a release.
  * Drop the rpm2html suggestion, this package is not in Debian.
  * Fix the Bug-Debian headers for the rpmdb-in-home patch.

  [ Pino Toscano ]
  * Improve the dependencies of librpm-dev:
    - drop libc6-dev, it is in build-essential
    - restrict libaudit-dev as linux-any, as it is available only on Linux
      (audit support is Linux-specific)

 -- Peter Pentchev <roam@debian.org>  Sat, 20 Nov 2021 23:45:50 +0200

rpm (4.16.1.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add the hide-symbols patch to exclude the new xlateTags symbol from
    librpm9's public interface.

 -- Peter Pentchev <roam@debian.org>  Wed, 30 Jun 2021 11:38:56 +0300

rpm (4.16.1.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Amend the CVE-2021-3421-CVE-2021-20271 patch, add two follow-up
    upstream commits that relax the restrictions a little bit to
    allow for some existing RPM packages.

 -- Peter Pentchev <roam@debian.org>  Tue, 29 Jun 2021 18:15:25 +0300

rpm (4.16.1.2+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMUs; thanks, Matthias and Boyuan!
  * Add the CVE-2021-20266 and CVE-2021-3421-CVE-2021-20271 patches to
    strengthen the verification of RPM signatures. Closes: #985308

 -- Peter Pentchev <roam@debian.org>  Tue, 29 Jun 2021 14:11:21 +0300

rpm (4.16.1.2+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Only build-depend on gnupg2 on linux architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 23:39:07 +0100

rpm (4.16.1.2+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Only build-depend on libaudit-dev on linux architectures.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 22:50:12 +0100

rpm (4.16.1.2+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the debugedit man page. Use help2man to conditionally update
    the man page without having an explicit build dependency on it.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Jan 2021 11:22:55 +0100

rpm (4.16.1.2+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debugedit from the trunk. Closes: #978978.
  * Apply DWARF-5 patches, taken from
    https://code.wildebeest.org/git/user/mjw/rpm/log/?h=gcc-dwarf5.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2021 22:50:57 +0100

rpm (4.16.1.2+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Jan 2021 17:42:36 +0100

rpm (4.16.1.2+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (approved by Michal). Closes: #979062, 978978.
  * Remove patches applied upstream:
    - d/p/map-populate.patch
    - d/p/bashism.patch
    - d/p/lua-compat.patch
  * Add build dependencies on libaudit-dev and libgcrypt20-dev.
  * librpm-dev: Depend on libaudit-dev and libgcrypt20-dev.
  * Add build dependency on gnupg2. Closes: #977827.
  * rpm: Stop installing files not shipped anymore.
    - usr/lib/rpm/mono*
    - usr/lib/rpm/ocaml-find-requires.sh
    - usr/lib/rpm/*.prov
  * debian/rpm2archive.8: Remove, provided upstream.
  * Bump soname versions, update symbols files.
  * debian/rules: Override dh_auto_clean.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Jan 2021 11:36:44 +0100

rpm (4.14.2.1+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v12.
    - Drop python-rpm package and python2 support. (Closes: #938410)
    + Use secure URI for homepage information.
    + Let librpm-dev depends on libzstd-dev. Please see #940114.
  * debian/rules:
    + Let buildtools.mk to provide proper $PKG_CONFIG.
    + Use architecture.mk instead of manual dpkg-architecture
      invocation.
    - Drop dh_strip override, migration is now complete.
    + Use "dh_missing --fail-missing".
  * debian/patches: Add patch 0012 to force using python3 in shebang
    for pythondeps.sh.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2020 13:52:17 -0500

rpm (4.14.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.3.0.

 -- Michal Čihař <nijel@debian.org>  Sun, 17 Feb 2019 09:19:38 +0100

rpm (4.14.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 4.2.1.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Oct 2018 10:15:39 +0200

rpm (4.14.1+dfsg1-4) unstable; urgency=medium

  * Remove reference to upstream removed GROUPS document.

 -- Michal Čihař <nijel@debian.org>  Tue, 24 Jul 2018 14:41:23 +0200

rpm (4.14.1+dfsg1-3) unstable; urgency=medium

  * Use team address on tracker.debian.org as maintainer (Closes:
    #899682).
  * Move Vcs URLs to Salsa.
  * Bump standards to 4.1.4.
  * Remove constraint on historical Python version.
  * Adjust debhelper dependency to have dh_update_autotools_conf

 -- Michal Čihař <nijel@debian.org>  Thu, 31 May 2018 13:12:32 +0200

rpm (4.14.1+dfsg1-2) unstable; urgency=medium

  * Build with libzstd-dev (Closes: #892759).

 -- Michal Čihař <nijel@debian.org>  Wed, 14 Mar 2018 11:34:01 +0100

rpm (4.14.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Remove old package replaces/conflicts from debian/control.
  * Bump standards to 4.1.3.

 -- Michal Čihař <nijel@debian.org>  Tue, 23 Jan 2018 13:24:30 +0100

rpm (4.14.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * Fixed compilation on architectures without MAP_POPULATE.

 -- Michal Čihař <nijel@debian.org>  Sat, 11 Nov 2017 14:28:01 +0100

rpm (4.14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - Fixes crashes on corrupted packages (Closes: #801456, #780309).
  * Fix debian/watch to (again) changed upstream website.
  * Use optional priority instead of extra.
  * Avoid using deprecated autotools_dev debhelper.
  * Bump standards to 4.1.1.
  * Make rpm suggest python for one of helper scripts.
  * Add binutils-dev to build depends.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Nov 2017 10:14:52 +0100

rpm (4.12.0.2+dfsg1-2) unstable; urgency=medium

  * Adjust debian/watch to new upstream website.
  * Add patch to improve rpmsign behavior with gpgp2 (Closes: #858998).

 -- Michal Čihař <nijel@debian.org>  Wed, 29 Mar 2017 15:24:58 +0200

rpm (4.12.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Use HTTPS in the Vcs-* fields, and use the cgit frontend instead of
    gitweb
  * Build-depend on debhelper >= 9.20150628 to use --ddeb-migration

 -- Michal Čihař <nijel@debian.org>  Thu, 10 Nov 2016 14:02:04 +0100

rpm (4.12.0.1+dfsg1-6) unstable; urgency=medium

  * Fix preun scriptlet failure not aborting rpm erase (Closes: #830194).

 -- Michal Čihař <nijel@debian.org>  Mon, 01 Aug 2016 11:36:23 +0200

rpm (4.12.0.1+dfsg1-5) unstable; urgency=medium

  * Migrate to dbgsym packages instead of librpm-dbg.
  * Update Maintainer, Uploaders and VCS for pkg-rpm team.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 Jul 2016 11:25:18 +0200

rpm (4.12.0.1+dfsg1-4) unstable; urgency=medium

  * Change p7zip build dependency to p7zip-full (Closes: #797920).
  * Bump standards to 3.9.8.

 -- Michal Čihař <nijel@debian.org>  Thu, 07 Jul 2016 12:16:17 +0200

rpm (4.12.0.1+dfsg1-3) unstable; urgency=medium

  * Simplify debian/copyright.
  * Adjust short description of python3-rpm.
  * Add missing rpm-common dependency to python modules (Closes: #790490).

 -- Michal Čihař <nijel@debian.org>  Tue, 30 Jun 2015 09:17:23 +0200

rpm (4.12.0.1+dfsg1-2) unstable; urgency=medium

  * Build python3 module (Closes: #778760).

 -- Michal Čihař <nijel@debian.org>  Tue, 28 Apr 2015 11:07:57 +0200

rpm (4.12.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Refreshed patches.
    - Remove obsolete patches.
    - Update debian/copyright to match new sources.
    - Updated build dependencies.
  * Remove gettext usage in shell script (Closes: #772404).
  * Ship rpm2archive in rpm2cpio package.
  * Build depend on dh-python.
  * Renamed librpmsign1 to librpmsign3 due to increased soversion.
  * Repack upstream tarball to remove generated Doxygen docs.

 -- Michal Čihař <nijel@debian.org>  Fri, 24 Apr 2015 14:19:49 +0200

rpm (4.11.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2013-6435 and CVE-2014-8118 (Closes: #773101).

 -- Matt Kraai <kraai@debian.org>  Sun, 14 Dec 2014 18:14:54 -0800

rpm (4.11.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.6.

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Sep 2014 11:08:30 +0200

rpm (4.11.2-3) unstable; urgency=medium

  * Tighten inter package dependencies (Closes: #745379).

 -- Michal Čihař <nijel@debian.org>  Tue, 29 Apr 2014 10:54:42 +0200

rpm (4.11.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use bash to expand ~ in %_dbpath (Closes: #741324)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Mar 2014 22:49:01 +0000

rpm (4.11.2-2) unstable; urgency=low

  * Reduce the double separator spec parse error into a warning
    (Closes: #740245).

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Feb 2014 13:39:19 +0100

rpm (4.11.2-1) unstable; urgency=low

  * New upstream release.
  * Bump standards to 3.9.5.
  * Re-enable selinux support (Closes: #725339).
  * Suggest rpmlint and rpm2html.
  * Provide safer value of rpmdb path (fallback to ~ when HOME is not set)
    (LP: #1069350).

 -- Michal Čihař <nijel@debian.org>  Mon, 24 Feb 2014 11:23:44 +0100

rpm (4.11.1-3) unstable; urgency=low

  * Fixed implicit declarations warnings while compiling.
  * Install debugedit to /usr/bin and provide manpage for it
    (Closes: #719180).

 -- Michal Čihař <nijel@debian.org>  Tue, 10 Sep 2013 10:20:34 +0200

rpm (4.11.1-2) unstable; urgency=low

  [ Shawn Landden ]
  * Split debugedit into its own package (Closes: #717020).

  [ Michal Čihař ]
  * Use debhelper 9.

 -- Michal Čihař <nijel@debian.org>  Tue, 16 Jul 2013 09:15:31 +0200

rpm (4.11.1-1) unstable; urgency=low

  * New upstream release.
  * Do not try to convert ancient rpmrc config file (Closes: #712448).
  * Make rpm2cpio Multi-Arch: foreign (Closes: #713970).
  * Use canonical VCS urls.

 -- Michal Čihař <nijel@debian.org>  Mon, 08 Jul 2013 10:33:12 +0200

rpm (4.11.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards to 3.9.4.
  * Refresh patches, update patch from Fedora.
  * Build with Lua 5.2.

 -- Michal Čihař <nijel@debian.org>  Thu, 06 Jun 2013 11:39:34 +0200

rpm (4.10.3.1-1) unstable; urgency=low

  [ Daniel Schepler ]
  * Update librpmio3.symbols, librpmbuild3.symbols for x32 (Closes: #699272).

  [ Chris J Arges ]
  * Fix multi-arch python include issues for RPM (Closes: #697634).

  [ Michal Čihař ]
  * New upstream release.
    - Refreshed patches.
    - Fixes __isa_name macro (Closes: #702958).

 -- Michal Čihař <nijel@debian.org>  Tue, 07 May 2013 10:51:51 +0200

rpm (4.10.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add 0001-Ensure-correct-return-code-on-malformed-signature-in.patch
    [SECURITY] CVE-2012-6088: Ensure correct return code on malformed
    signature in packages. Patch cherry-picked from upstream git repository.
    (Closes: #697375)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jan 2013 13:06:25 +0100

rpm (4.10.1-2) unstable; urgency=low

  * Do not overwrite installed manpages by (wrong) symlinks
    (Closes: #691342, LP: #1018372).
  * Correctly pass dpkg-buildflags LDFLAGS.

 -- Michal Čihař <nijel@debian.org>  Thu, 25 Oct 2012 12:40:59 +0200

rpm (4.10.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Fri, 19 Oct 2012 10:02:50 +0200

rpm (4.10.0-5) unstable; urgency=low

  * Added patch from Fedora to support X-CheckUnifiedSystemdir
    (Closes: #683759).

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Aug 2012 09:05:26 +0200

rpm (4.10.0-4) unstable; urgency=low

  * Lower librpm -> rpm-common dependency to recommends as there actually
    might be users of librpm which don't need all files in rpm-common. On the
    other side rpm2cpio needs them, so add dependency there. This also fixes
    circular dependency (Closes: #676186).

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Jun 2012 14:29:12 +0200

rpm (4.10.0-3) unstable; urgency=low

  * Configure alternate python versions before default (Closes:
    #678887).

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Jun 2012 14:07:02 +0200

rpm (4.10.0-2) unstable; urgency=low

  * Move plugins to rpm-common package (Closes: #675517).

 -- Michal Čihař <nijel@debian.org>  Mon, 04 Jun 2012 09:10:28 +0200

rpm (4.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump soname in package versions.

 -- Michal Čihař <nijel@debian.org>  Tue, 29 May 2012 13:26:18 +0200

rpm (4.9.1.3-2) unstable; urgency=high

  * Simplify debian/rules and make it work with curent debhelper.

 -- Michal Čihař <nijel@debian.org>  Thu, 05 Apr 2012 13:32:46 +0200

rpm (4.9.1.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2012-0815, CVE-2012-0060, CVE-2012-0061 (Closes: #667031).
  * Update debian/copyright to match current format.
  * Bump standards to 3.9.3.

 -- Michal Čihař <nijel@debian.org>  Thu, 05 Apr 2012 09:34:05 +0200

rpm (4.9.1.2-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2011-3378 (Closes: #645325).

 -- Michal Čihař <nijel@debian.org>  Fri, 14 Oct 2011 17:53:46 +0200

rpm (4.9.1.1-1) unstable; urgency=low

  * New upstream release.
  * Rediff patches to match current code.
  * Update symbols file.
  * Do not list non linux archs in depends, use linux-any instead
    (Closes: #634373).
  * Add s390x to symbols definition (Closes: #636519).
  * Use dh-autoreconf instead of manually doing the same.
  * Use autotools_dev dh sequence to update config.*.

 -- Michal Čihař <nijel@debian.org>  Fri, 05 Aug 2011 11:54:06 +0200

rpm (4.9.0-7) unstable; urgency=low

  * Remove useless .la files from python-rpm (Closes: #633267).
  * Avoid linking python module with libpython (LP: #789656).
  * Remove empty lines from debian/*.symbols, they cause warnings during
    build.

 -- Michal Čihař <nijel@debian.org>  Tue, 12 Jul 2011 20:55:42 +0200

rpm (4.9.0-6) unstable; urgency=low

  * Add --fail-missing to debian/rules to catch non installed files.
  * Include attributes definition files in rpm package (Closes: #630163).
  * Include pkgconfig script in librpm-dev package.
  * Include forgotten dependency generators in rpm package.
  * Include rpm plugins in librpm2 package.

 -- Michal Čihař <nijel@debian.org>  Mon, 13 Jun 2011 11:01:44 +0200

rpm (4.9.0-5) unstable; urgency=low

  * Disable cap on non Linux arches in configure.

 -- Michal Čihař <nijel@debian.org>  Sat, 21 May 2011 10:28:27 +0200

rpm (4.9.0-4) unstable; urgency=low

  * Depend on libcap onl on linux-any.
  * Change linux only build deps to linux-any instead of listing others.

 -- Michal Čihař <nijel@debian.org>  Sat, 21 May 2011 07:28:32 +0200

rpm (4.9.0-3) unstable; urgency=low

  * Build with file capability support (Closes: #625766).
  * Bump standards to 3.9.2.
  * Upload to unstable to bring libdb5.1 support there.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 May 2011 09:28:23 +0200

rpm (4.9.0-2) experimental; urgency=low

  * Fix symbols for 32-bit arches, fixes FTBFS.
  * Build with --as-needed to minimize libraries deps.

 -- Michal Čihař <nijel@debian.org>  Wed, 16 Mar 2011 15:07:46 +0100

rpm (4.9.0-1) experimental; urgency=low

  * New upstream version.
    - Update, drop and cleanup applied patches.
    - Works fine with db5.x (Closes: #618084).
  * Target to experimental as we need libtool (>= 2.2.10).
  * Drop lsb-rpm package. It seems that was broken for quite a long time
    without anybody noticing.
  * Use dh_auto_{configure,build,install} instead of own magic.
  * Adjust package names to current libraries.
    - Soname bump for all (librpmio, librpmbuild, librpm).
    - Add librpmsign0 package.
  * Drop not needed build dep on dpkg-dev.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Mar 2011 11:24:07 +0100

rpm (4.8.1-7) unstable; urgency=low

  * Bump standards to 3.9.1.
  * Use Breaks instead of Conflicts when appropriate.
  * Remove not needed conflicts/replace on rpm-common.
  * Properly builds on ppc64 (Closes: #614226).
  * Migrate to dh_python2.

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Feb 2011 11:27:09 +0100

rpm (4.8.1-6) unstable; urgency=low

  * Make librpm-dev conflict/replace librpm4.4 (Closes: #601993).

 -- Michal Čihař <nijel@debian.org>  Mon, 01 Nov 2010 15:30:00 +0100

rpm (4.8.1-5) unstable; urgency=low

  * Fix compilation on hurd and kfreebsd (Closes: #587366).

 -- Michal Čihař <nijel@debian.org>  Mon, 28 Jun 2010 11:12:30 +0200

rpm (4.8.1-4) unstable; urgency=low

  * Package rpm-common needs to be arch:any because it's content is different
    for each platform (LP: #574647).
  * Tighten dependency on rpm-common.
  * Fix build failure on arm (Closes: #587173).

 -- Michal Čihař <nijel@debian.org>  Sun, 27 Jun 2010 11:40:28 +0200

rpm (4.8.1-3) unstable; urgency=low

  * Upload to unstable as python 2.6 is there.
  * Remove build dependency on beecrypt, it is not used at all (was replaced
    by NSS some time ago).
  * Also libneon does not seem to be used anymore.
  * Add missing build dependency on pkg-config.

 -- Michal Čihař <nijel@debian.org>  Fri, 25 Jun 2010 18:19:00 +0200

rpm (4.8.1-2) experimental; urgency=low

  * Build depend on autopoint.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jun 2010 13:50:27 +0000

rpm (4.8.1-1) experimental; urgency=low

  * New upstream release.
    - Fix vulnerability in removing setuid on moved files (Closes: #584257,
      CVE-2010-2059).
    - Safer parsing of spec file (CVE-2010-2197).
  * Build depend on python-all-dev (>= 2.6) and cleanup debian/rules to again
    use all supported versions (which will anyway mean just 2.6).

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Jun 2010 09:48:08 +0200

rpm (4.8.0-4) experimental; urgency=low

  * Use new conditionals in symbol files and define symbols for sparc64
    (Closes: #572766).
  * Move default RPM database path to ~/.rpm.
    - Fixes problem with no accessible Names database (Closes: #551669,
    LP: #530023).
  * No longer handle database in postinst.
    - Removes debconf from postinst.
    - Avoids problems on installation with db version (LP: #542115).
  * Document above changes in NEWS and README.Debian.

 -- Michal Čihař <nijel@debian.org>  Thu, 22 Apr 2010 09:52:43 +0200

rpm (4.8.0-3) experimental; urgency=low

  * Do not require --force-debian for installing packages, just complain that
    user should use alien. This allows easily people to shoot in the foot,
    however --force-debian switch seems to be too unpopular (Closes: #565421).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Feb 2010 16:27:11 +0100

rpm (4.8.0-2) experimental; urgency=low

  * Add missing build dependency on cvs (for autoreconf) (Closes: #565795).

 -- Michal Čihař <nijel@debian.org>  Tue, 19 Jan 2010 09:31:26 +0100

rpm (4.8.0-1) experimental; urgency=low

  * Fix filename of database backup - month and minute were switched
    (Closes: #561546).
  * Move watch file to 4.8 branch.
  * New upstream release.
  * Patch fixbashism.patch fixed better upstream.
  * Unfuzzy other patches.
  * Build depend on python 2.6, adjust Python-Version according to that.
  * Build agains python 2.6 for experimental.
  * Rename library packages after soname bump.

 -- Michal Čihař <nijel@debian.org>  Fri, 15 Jan 2010 16:33:42 +0100

rpm (4.7.2-1) unstable; urgency=low

  * New upstream version.
    - No need to convert man page from DOS end of lines.
    - Dropped patches:
        510c6763.patch - taken from upstream
        fix-linkage.patch - applied upstream
        fix-luaext.patch - applied upstream
        include-pthread.patch - applied upstream
    - Updated patches:
        manpage-dash.patch - rediffed, no changes
  * Upgrade recommends to depeds from rpm to rpm2cpio (Closes: #559203).
  * Drop run-autogen.patch and run autogen during build.
  * Use << instead of < in debian/control.

 -- Michal Čihař <nijel@debian.org>  Wed, 09 Dec 2009 17:09:58 +0100

rpm (4.7.1-14) unstable; urgency=low

  * Change dependency of -dev package to libdb-dev (Closes: #556608).

 -- Michal Čihař <nijel@debian.org>  Sat, 21 Nov 2009 02:46:08 +0100

rpm (4.7.1-13) unstable; urgency=low

  * Fix various typos in rpm/NEWS.Debian.
  * Improve database upgrade instructions in README.Debian.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:53:37 +0100

rpm (4.7.1-12) unstable; urgency=low

  * Fix build with libdb 4.8 by applying upstream patch 510c6763.
  * Change build depends to libdb-dev to pull libdb 4.8 (Closes: #556608).
  * Built with new liblzma.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:13:09 +0100

rpm (4.7.1-11) unstable; urgency=low

  * Do not build depend on libsepol1-dev on hurd and bsd.
  * Fix FTBFS with binutils-gold (Closes: #556329).
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 14:15:54 +0100

rpm (4.7.1-10) unstable; urgency=low

  * Convert French man page from DOS end of lines (LP:#428310).

 -- Michal Čihař <nijel@debian.org>  Fri, 23 Oct 2009 14:35:24 +0200

rpm (4.7.1-9) unstable; urgency=low

  * Bump liblua5.1-0-dev build dependency to 5.1.4-4 to avoid conflicting
    libreadline-dev packages (Closes: #551114).
  * Upload to unstable as it now has xz-utils.

 -- Michal Čihař <nijel@debian.org>  Mon, 19 Oct 2009 09:00:39 +0200

rpm (4.7.1-8) experimental; urgency=low

  * Reupload to experimental with lzma support.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 13:07:59 +0200

rpm (4.7.1-7) unstable; urgency=low

  * Upload to unstable.
  * Disabled lzma support as xz-utils are not yet in unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 12:56:59 +0200

rpm (4.7.1-6) experimental; urgency=low

  * Add Vietnamese debconf translation (Closes: #547915).
  * Explicitly require libdb4.7, 4.8 is not supported (Closes: #549803).
  * Strict dependency on same version of libraries from devel package.

 -- Michal Čihař <nijel@debian.org>  Tue, 06 Oct 2009 11:58:21 +0200

rpm (4.7.1-5) experimental; urgency=low

  * Add Brazilian Portuguese debconf translation (Closes: #544811).
  * Add Japanese debconf translation (Closes: #545315).
  * Add preinst script to remove cruft left after pycentral (Closes: #545720).
  * Build depend on libreadline-dev instead of libreadline5-dev.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Sep 2009 10:47:54 +0200

rpm (4.7.1-4) experimental; urgency=low

  * Add dependency from rpm to rpm-common, because the files were moved from
    rpm to rpm-common and user still might have older librpm, which does not
    pull in rpm-common (Closes: #544753).
  * Make rpm-common conflict/replace older versions of rpm and librpm where
    the files were moved from.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Sep 2009 11:40:55 +0200

rpm (4.7.1-3) experimental; urgency=low

  * Add Finnish debconf translation (Closes: #543121).
  * Add Spanish debconf translation (Closes: #543311).
  * Enable Lua support (Closes: #538207).
  * Add fix-luaext.patch patch to fix linking with Lua.
  * Update symbols file for Lua.

 -- Michal Čihař <nijel@debian.org>  Tue, 01 Sep 2009 11:27:18 +0200

rpm (4.7.1-2) experimental; urgency=low

  * Make rpm2cpio conflict with older rpm to avoid overwriting files
    (Closes: #542549).
  * Add debian/README.source documenting quilt usage.

 -- Michal Čihař <nijel@debian.org>  Thu, 20 Aug 2009 11:15:23 +0200

rpm (4.7.1-1) experimental; urgency=low

  * New Upstream Version
    - Adjusted manpage-dash.patch.
    - Dropped 09-prereq.diff.
    - Dropped 13-rpm2cpio-help.diff.
    - Dropped 60_fix-out-build.patch.
    - Regenerated 70_autogen.patch.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #539606).
  * Add Japanese debconf translation (Closes: #539598).
  * Add Russian debconf translation (Closes: #539461, #541753).
  * Add Slovak debconf translation (Closes: #537248, #540167).
  * Add Potrugese debconf translation (Closes: #537448, #541110).
  * Add Galician debconf translation (Closes: #537429).
  * Add French debconf translation (Closes: #540195).
  * Add Italian debconf translation (Closes: #540198).
  * Add German debconf translation (Closes: #540717).
  * Add Swedish debconf translation (Closes: #541398).
  * Prepare for lua support (see: #538207), not ready because lposix and
    lrexlib are not available in Debian.
  * Add lintian overrides for debconf usage in postinst.
  * Split out rpm2cpio to separate package (Closes: #540106).
  * Move rpm README.Debian and NEWS just to rpm binary package.
  * Separate part of /usr/lib/rpm to rpm-common as some parts of it are always
    required by librpm.
  * Change directories by configure parameters instead of patching.
  * Build with lzma support (Closes: #509444).
  * Upload to experimental due to liblzma.
  * Cleanup in debian/patches.
    - Consistent naming scheme.
    - Add DEP-3 compliant patch descriptions.
  * Bump policy to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Sun, 16 Aug 2009 10:38:10 +0200

rpm (4.7.0-9) unstable; urgency=low

  * Provide fallback when dabatase initialisation fails - we now move old
    database away and create empty one as using rpm as package management is
    not supported anyway (Closes: #536519).
  * Use debconf to show message about the cleanup.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Jul 2009 23:09:10 +0200

rpm (4.7.0-8) unstable; urgency=low

  [ Loïc Minier ]
  * Readd myself as uploader; doh.
  * debian/*: whitespaces and small syntax tweaks
  * Build-dep on libdw-dev instead of libdwarf-dev

  [ Michal Čihař ]
  * Build depend on libbeecrypt-dev instead of libbeecrypt6-dev
    (Closes: #536451).
  * Add special option --force-debian when user wants to install rpm
    package on Debian system and tell user to use alien instead.
  * Initialize package database in postinst, due to above change we have
    better way to tell user that he should not use rpm than crying when
    rpmdb is not initialized (Closes: #451441).
  * Drop now deprecated patch 16-debian-warn.diff.
  * Update README.Debian to match new state of things.
  * Drop rpm-i18n and elfutils down to Suggests: as neither of these are
    relevant to the common use case for rpm in Debian (i.e., alien)
    (merge from Ubuntu).

 -- Michal Čihař <nijel@debian.org>  Fri, 10 Jul 2009 12:06:50 +0200

rpm (4.7.0-7) unstable; urgency=low

  * Do not touch build system internals, rather create separate build for each
    python (fixes occasional FTBFS).

 -- Michal Čihař <nijel@debian.org>  Tue, 23 Jun 2009 13:55:48 +0200

rpm (4.7.0-6) unstable; urgency=low

  * Drop 22_spelling-fixes.diff, it is not a typo but real description of
    state.
  * Update to policy 3.8.2 (no changes needed).
  * Add symbols file for kfreebsd-i386 (should fix FTBFS).

 -- Michal Čihař <nijel@debian.org>  Mon, 22 Jun 2009 15:10:59 +0200

rpm (4.7.0-5) unstable; urgency=low

  * Remake symbol files, default is for 32-bit systems and add exceptions for
    64-bit ones, there are fewer of them (fixes FTBFS on armel).
  * Add missing include pthread.h (should fix FTBFS on hurd-i386).
  * Fix more errors in man page.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Jun 2009 13:50:10 +0200

rpm (4.7.0-4) unstable; urgency=low

  * Fix typo in rpm-i18n description.
  * More complete debian/copyright.
  * Adjust symbol files of librpmio for diffrenent architectures (fixes
    FTBFS).

 -- Michal Čihař <nijel@debian.org>  Mon, 15 Jun 2009 13:02:13 +0200

rpm (4.7.0-3) unstable; urgency=low

  * Okay, I'll stop uploading new version every hour.
  * Build depend on libelf-dev, and libdwarf-dev to get debugedit binary
    (LP: #341891).
  * Include lsb-rpmbuild in lsb-rpm package.
  * Update lsb-rpm man page and add lsb-rpmbuild one (Closes: #419870).
  * rpmTagTable is no longer part of API, so it can not be referenced
    (Closes: #476972).
  * Document in lsb-rpmbuild(1) what is needed to build LSB package
    (Closes: #459603).

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Jun 2009 10:56:55 +0200

rpm (4.7.0-2) unstable; urgency=low

  * Fix watch file.
  * Add librpm-dbg package with debug symbols.
  * Split of locales and localized man pages to rpm-i18n.
  * Fix - escaping in man pages.
  * Actually include module for python 2.4.

 -- Michal Čihař <nijel@debian.org>  Wed, 10 Jun 2009 09:36:57 +0200

rpm (4.7.0-1) unstable; urgency=low

  * New maintainer (Closes: #529558).
  * New Upstream Version (Closes: #519861).
    - Add new libraries to build depends (lzma, nspr, nss, magic).
    - Works correctly with new tar (Closes: #400889).
  * Adjust patches:
    - Dropped 02-hkp-disable.diff
    - Refreshed 09-prereq.diff
    - Refreshed 13-rpm2cpio-help.diff
    - Dropped 14-work-on-debian64.diff
    - Refreshed 16-debian-warn.diff
    - Dropped 19-misc.diff
    - Refreshed 22_spelling-fixes.diff
    - Dropped 40_fix-zlib-include-in-file.patch
    - Refreshed 68_autogen-fixes.patch
    - Refreshed 70_autogen.patch
  * Bump policy to 3.8.1.
  * Switch to debhleper 7.
    - Use debian/clean instead of list in debian/rules.
    - Use debian/links instead of list in debian/rules.
    - Use dh_quilt*.
    - Use dh helper to simplify debian/rules.
  * Man pages can be in utf-8, mandb supports this since  2.5.0-1.
  * Switch to libneon27-gnutls-dev (Closes: #532257).
  * Fix build out out sources.
  * Fix upstream installation of rpm.
  * Do not create lsb-rpm man page by patch, include it directly.
  * Drop not needed source lintian override.
  * Switch to python-support.
  * Rename and split library packages to librpm0, librpmio0 and librpmbuild0.
  * Add symbol files to lib* packages.
  * Add debian/copyright.
  * Improve package descriptions.
  * Fix %{_sysconfdir} macro (Closes: #465871).
  * Fix bashisms (by using bash) (Closes: #530180).
  * Debsums are correct on this package (Closes: #421262).
  * Delete stray directories on purge (Closes: #366186).

 -- Michal Čihař <nijel@debian.org>  Tue, 09 Jun 2009 19:12:51 +0200

rpm (4.4.2.3-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.
  * Upload to unstable; closes: #524842

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 07 Jun 2009 16:25:45 +1000

rpm (4.4.2.3-2) experimental; urgency=low

  * Remove Anand Kumria from Uploader; thanks for your work!
  * Add Vcs-Git and Vcs-Browser fields.
  * Wrap build-deps and deps.
  * Bump Standards-Version to 3.8.0.
  * Drop obsolete debian/pycompat.
  * Add debian/gbp.conf for git-buildpackage.
  * New patch, 22_spelling-fixes, fixes typo in doc/rpm.8 man page; from
    Ubuntu; LP: #73355.
  * Refresh patches 02-hkp-disable, 09-prereq, 14-work-on-debian64,
    17-dont-be-redhat, 21-kfreebsd to apply cleanly.
  * Drop source-contains-CVS-dir lintian overrides as we use tarballs and we
    should make dist a tarball or at least a CVS export if we pull a snapshot.
  * Build-dep on autotools-dev and drop outdated-autotools-helper-file lintian
    overrides.
  * New patch, 40_fix-zlib-include-in-file, fixes zlib -I flag breaking the
    build of the internal "file" copy when relibtoolized.
  * New patch, 50_internal-popt-config-flag, adds a --with-internal-popt
    configure flag to allow forcing the use of an external popt.
  * New patch, 68_autogen-fixes, calls "autoreconf -fi" instead of
    ./autogen.sh in file/ and cleans up some junk files after the autogens
    (autom4te.cache and ~ backups).
  * New patch, 70_autogen, run ./autogen --noconfigure.
  * Pass --with-internal-popt=no to configure.
  * Kill plenty of manual autotools cleanup from rules as well as popt
    removal.
  * Drop autoconf/automake/libtoolize invocation from rules.
  * Use "touch $@" instead of repeating target name.
  * Don't duplicate the way to call quilt and pass it --quiltrc /dev/null.
  * Pass -s to dh_* in binary-indep.
  * Update download URL in copyright.
  * Drop DH_VERBOSE=1.
  * Set configure flags via a new var, configure_flags, and only pass --host
    to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE differ.
  * Drop obsolete README.Debian note related to rpm 4.1 behavior change.

 -- Loic Minier <lool@dooz.org>  Sun, 21 Dec 2008 17:49:23 +0100

rpm (4.4.2.3-1) unstable; urgency=low

  * New upstream
  * Fix "rpm --root uses wrong db-dir". Closes: #359161
  * Create /var/lib/rpm, Closes: #398046, #451441, #471473

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 11 May 2008 11:45:40 +1000

rpm (4.4.2.1-2) unstable; urgency=low

  * Merge with Ubuntu
  * Bumped up Standards-Version to 3.7.3
  * debian/control: moved Homepage from description to header line

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Jan 2008 13:36:43 +1100

rpm (4.4.2.1-1ubuntu4) hardy; urgency=low

  * debian/control: Fix librpm-dev dependency: libdb4.5-dev -> libdb-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Jan 2008 09:15:37 +0100

rpm (4.4.2.1-1ubuntu3) hardy; urgency=low

  * Whoops, change binary dependencies to libneon27, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Jan 2008 17:34:13 +0100

rpm (4.4.2.1-1ubuntu2) hardy; urgency=low

  * debian/control: libneon 25 -> 27.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 02 Jan 2008 17:15:22 +0100

rpm (4.4.2.1-1ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Added creation of empty file config.rpath due to an issue in
      automake 1.10.
    - Changed libdb4.5 dependency to libdb4.6
    - libneon25 not updated to libneon26 due to evolving API, that makes
      RPM break.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2007 10:41:25 +0000

rpm (4.4.2.1-1) unstable; urgency=low

  * Renamed binary package librpm4 to librpm4.4 and changed the
    shlibs dpendencies to "librpm4.4 (>= 4.4), librpm4.4 (<< 4.5)".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 07 Sep 2007 20:45:29 +1000

rpm (4.4.2.1-0) unstable; urgency=low

  * New upstream release. Closes: #397330.
  * ACK NMU. Closes: #420406, #421963, #422211, #399750.
  * debian/control: added Loic Minier to uploaders.
  * debian/control: Build-Depends: replaced automake1.9 with automake.
  * debian/rules: upstream didn't ship: RPM-PGP-KEY RPM-GPG-KEY.
  * debian/watch: updated.
  * debian/patches/01-gcc4-fixups.diff: merged upstream.
  * debian/patches/03-check-symlinks.diff: merged upstream.
  * debian/patches/04-fileconflicts.diff: merged upstream.
  * debian/patches/05-nonmerged.diff: merged upstream.
  * debian/patches/06-ordererase.diff: merged upstream.
  * debian/patches/07-posttrans.diff: merged upstream.
  * debian/patches/08-prepostrun.diff: merged upstream.
  * debian/patches/11-matchpathcon.noselinux.diff: didn't apply cleanly.
  * debian/patches/12-de.po.diff: didn't apply cleanly.
  * debian/patches/99_query_heap_protection.diff: merged upstream.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 23 Aug 2007 22:05:15 +1000

rpm (4.4.1-14.1ubuntu2) gutsy; urgency=low

  * Revert back to libdb4.5, one less db4.x version in main.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Sep 2007 17:31:10 +0200

rpm (4.4.1-14.1ubuntu1) gutsy; urgency=low

  * Added creation of empty file config.rpath due to an issue in automake 1.10
  * Changed libdb4.5 dependency to libdb4.6
  * libneon25 not updated to libneon26 due to evolving API, that makes RPM break.

 -- Stefan Skotte <sfs@enhance-it.dk>  Sat, 18 Aug 2007 17:46:55 +0000

rpm (4.4.1-14.1) unstable; urgency=low

  * NMU
  * Change build dependency on libdb3-dev to libdb4.5-dev.
    closes: #420406, #421963.
  * Add build dependency on bzip2 so configure can find the proper
    path to the bzip2 binary.  closes: #422211.
  * Add build-dependency on quilt, and apply Petr Salinger's patch to
    use quilt in debian/rules.
  * Drop debian/changelog hunk from 20-no-linux-gate.so-dependancy.diff .
  * Clean up source package so that quilt patches will apply.
    closes: #399750.

 -- Clint Adams <schizo@debian.org>  Thu, 05 Jul 2007 14:35:41 -0400

rpm (4.4.1-14) unstable; urgency=medium

  * Fixed FTBFS on non-linux archs: build-depends on
    libselinux1-dev. Closes: #399208. Patch by Konstantinos
    Koukopoulos <kouk@noc.uoa.gr>.
  * Fixed FTBFS on GNU/kFreeBSD. Closes: #399750.
    Patches by Petr Salinger <Petr.Salinger@seznam.cz>.
    Removed: 11-matchpathcon.diff
    Added: 11-matchpathcon.noselinux.diff and 21-kfreebsd.diff

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 10 Dec 2006 09:32:59 +1100

rpm (4.4.1-13) unstable; urgency=medium

  * Removed patch for #399208.
  * Fixed FTBFS on GNU/kFreeBSD. Closes: #399750.
    Patches by Petr Salinger <Petr.Salinger@seznam.cz>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Nov 2006 21:42:02 +1100

rpm (4.4.1-12) unstable; urgency=medium

  * Fixed FTBFS on non-linux archs: build-depends on
    libselinux1-dev. Closes: #399208. Patch by Konstantinos
    Koukopoulos <kouk@noc.uoa.gr>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 19 Nov 2006 12:57:46 +1100

rpm (4.4.1-11) unstable; urgency=high

  * Synchronized to Ubuntu
    - SECURITY UPDATE: heap overflow in query report could lead to
      arbitrary code execution.
    - Add 'debian/patches/99_query_heap_protection.diff': validate
      message length. Patch from upstream CVS, applied inline.
    - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212833
    - CVE-2006-5466
    - Closes: #397076.
  * Updated debian/watch.
  * Added debian/pycompat.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Nov 2006 13:27:39 +1100

rpm (4.4.1-10) unstable; urgency=medium

  * ACK NMU. Closes: #377657.
  * Fixed FTBFS on m68k.
  * Added variables DEB_{HOST,BUILD}_GNU_TYPE as parameters for configure.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Aug 2006 19:51:07 +1000

rpm (4.4.1-9.1ubuntu0.1) edgy-security; urgency=low

  * SECURITY UPDATE: heap overflow in query report could lead to arbitrary
    code execution.
  * Add 'debian/patches/99_query_heap_protection.diff': validate message
    length.  Patch from upstream CVS, applied inline.
  * References
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=212833
    CVE-2006-5466

 -- Kees Cook <kees@ubuntu.com>  Fri,  3 Nov 2006 12:53:27 -0800

rpm (4.4.1-9.1build1) edgy; urgency=low

  * Rebuild to add support for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 18:27:58 +0000

rpm (4.4.1-9.1) unstable; urgency=low

  * NMU.
  * Convert to updated Python policy.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jul 2006 14:24:07 +0200

rpm (4.4.1-9) unstable; urgency=low

  * Synchronized to Ubuntu
    - debian/control, debian/rules, debian/python2.[34]-rpm.install: Drop
      Python 2.3 package, build Python 2.4 package.
  * Set Standards-Version to 3.7.2.
  * Set debian/compat to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jul 2006 15:05:58 +1000

rpm (4.4.1-8ubuntu1) edgy; urgency=low

  * Synchronize to Debian; remaining Ubuntu changes:
    - debian/control, debian/rules, debian/python2.[34]-rpm.install: Drop
      Python 2.3 package, build Python 2.4 package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Jun 2006 15:51:12 +0200

rpm (4.4.1-8) unstable; urgency=low

  * Changed build-dependency on libneon24-dev to libneon25-dev.
  * Recoded Korean pages, closes: #349938. Patch thanks to Nicolas
    Francois <nicolas.francois@centraliens.net>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Mar 2006 19:46:22 +1100

rpm (4.4.1-7) unstable; urgency=low

  * Deactivated iconv processing for the Korean pages. Please refer
    to #349938.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 27 Jan 2006 10:25:59 +1100

rpm (4.4.1-6) unstable; urgency=low

  * Fixed "FTBFS: undefined references in libselinux", closes: #349935.
    Patch thanks to Nicolas Francois <nicolas.francois@centraliens.net>.
  * Fixed "The Japanese, Korean and Russian man pages should not be encoded
    in UTF-8", closes: #349938. Patch thanks to Nicolas Francois
    <nicolas.francois@centraliens.net>.
  * Merged the two uploaders lines in debian/control.
  * Added homepage to package description.
  * Updated watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 26 Jan 2006 12:44:55 +1100

rpm (4.4.1-5ubuntu2) dapper; urgency=low

  * debian/control:
    - Build against libneon25, 24 does not exist any more.
    - Add build dependency libsepol1-dev.
  * debian/rules: Link lsb-rpm against -lsepol to fix unresolved references
    and FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 17 Jan 2006 12:20:31 +0100

rpm (4.4.1-5ubuntu1) dapper; urgency=low

  * Build using python2.4.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jan 2006 20:55:25 +0000

rpm (4.4.1-5) unstable; urgency=low

  * Don't generate dependancies on linux-gate.so, it is a virtual library
    and only exists on linux 2.6 anyway. Thanks for the patch Ken Schalk.
    (Closes: #338515)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 27 Dec 2005 03:27:41 +1100

rpm (4.4.1-4) unstable; urgency=low

  * Remove postinst which deals with ancient (prior to woody) rpm upgrades
  * Reset the RPMCANONVENDOR to always be 'rpm' when compiling on a Debian
    System (make /usr/src/rpm/BUILD reappear)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 18 Oct 2005 19:35:09 +1000

rpm (4.4.1-3) unstable; urgency=low

  * Fixed for amd64 and other multi-arch platforms (sprc, powerpc) from
    Artur Czechowski. (Closes: #334150, #333760, #333999)
  * Conflict with manpages-pl (and shortly others) (Closes: #334146)

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 18 Oct 2005 13:38:56 +1000

rpm (4.4.1-2) unstable; urgency=low

  * Build-Depend on python-dev as dh_python requires this, even if a
    specific version if specified to it.

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 12 Oct 2005 15:51:03 +1000

rpm (4.4.1-1) unstable; urgency=low

  * New upstream releases (Closes: #214406, #193930)
  * Add myself to uploaders
  * Create python bindings (Closes: #218348, #326142)
  * Correct the German translation (Closes: #313916)
  * Acknowledge OMU (Closes: #326665)
  * Make _sysconfdir point to /etc (Closes: #318626)
  * Standards-Version: 3.6.2.1
  * Other random funkiness

 -- Anand Kumria <wildfire@progsoc.org>  Wed,  5 Oct 2005 09:56:32 +1000

rpm (4.0.4-32) unstable; urgency=low

  * Enabled python bindings
  * Never uploaded

 -- David Pashley <david@runtime-collective.com>  Fri,  2 Sep 2005 10:03:19 +0100

rpm (4.0.4-31.1) unstable; urgency=medium

  * OMU
  * Rebuilt to replace static copy of zlib with one that is not vulnerable
    to CAN-2005-2096. Closes: #318099
  * python/rpmmodule.c: remove funky LHS casts to allow building with gcc
    4.0.2.

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Sep 2005 16:38:14 -0400

rpm (4.0.4-31) unstable; urgency=low

  * Scott James Remnant <scott@netsplit.com>
    - Changed libtool1.4 dependency to libtool. Closes: #279393.
    - Call libtoolize when refreshing the beecrypt directory.
    - Use right versions of aclocal and automake when refreshing beecrypt.
    - Tell libtoolize and automake to copy files instead of symlinking them.
    - Tell automake to add missing files and force update of standard files.
    - Remove bogus code to link the rpmio code to libbeecrypt statically to
      the PIC code and just use a convenience library instead.
    Patch available at
    http://people.ubuntu.com/~scott/patches/rpm/rpm_4.0.4-29ubuntu1_misc.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Mar 2005 21:10:49 +1100

rpm (4.0.4-30) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 Feb 2005 22:21:43 +1100

rpm (4.0.4-29) unstable; urgency=low

  * Provide shared development libraries. Closes: #246682
    Changed debian/librpm4.install
  * Include search path for hdrinline.h wrong in rpm/header.h. Closes: #261128
    Changed lib/header.h
  * Minor typographical errors in packaging. Closes: #236538
    Changed debian/{,lsb-rpm.}README.Debian
    Patch by Bob Proulx <bob@proulx.com>
  * /usr/src/redhat upgrade-merge to /usr/src/rpm improvement. Closes: #236540
    Changed debian/postinst

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Wed, 11 Aug 2004 23:16:26 +1000

rpm (4.0.4-28) unstable; urgency=low

  * Changed maintainer in debian/control.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 22 Apr 2004 14:30:34 +1000

rpm (4.0.4-27) unstable; urgency=low

  * New maintainer (Closes: #239518)

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 22 Apr 2004 12:16:06 +1000

rpm (4.0.4-26) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Mar 2004 00:36:49 -0500

rpm (4.0.4-25) unstable; urgency=low

  * Turn off libtool's suppress_output feature, which is intended to
    hide duplicate compiler errors during the second compilation of files,
    but turns out to hide the only error dueing link.
  * Rebuild on alpha, let's see if it still FTBFS.

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Oct 2003 20:05:35 -0400

rpm (4.0.4-24) unstable; urgency=low

  * Build-dep on libtool1.4 for now. libtool 1.5 does not like the way rpmio
    tries to link in a .lo files from ../beecrypt. A better fix will have to
    wait on the new upstream version of rpm. Closes: #208390

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Sep 2003 14:45:29 -0400

rpm (4.0.4-23) unstable; urgency=low

  * Added libbz2-dev and libz-dev to librpm-dev depends, since you probably
    need them to link stuff with librpm (or librpmio anyway). Closes: #198509
  * Tar file was screwed up in -22; attempt to fix that.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 Jun 2003 11:52:32 -0400

rpm (4.0.4-22) unstable; urgency=low

  * Delete beecrypt/autom4te.cache in clean only after running distclean.
    Closes: #190983

 -- Joey Hess <joeyh@debian.org>  Sun,  4 May 2003 18:10:09 -0400

rpm (4.0.4-21) unstable; urgency=low

  * Unversioned autoconf call, Closes: #189109

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 2003 10:19:20 -0400

rpm (4.0.4-20) unstable; urgency=low

  * Remove call to AM_FUNC_ERROR_AT_LINE, which is only in automake 1.5, not
    1.7. Closes: #184590

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Apr 2003 12:39:32 -0400

rpm (4.0.4-19) unstable; urgency=low

  * Force use of aclocla-1.7. Closes: #184590

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Mar 2003 12:51:40 -0800

rpm (4.0.4-18) unstable; urgency=low

  * Gave up and added a explicit message about using alien right before the
    db open error.

 -- Joey Hess <joeyh@debian.org>  Sun,  9 Mar 2003 10:47:02 -0500

rpm (4.0.4-17) unstable; urgency=low

  * Use automake-1.7 Closes: #183788

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Mar 2003 12:52:05 -0500

rpm (4.0.4-16) unstable; urgency=low

  * Fix LIBOBJS mess. Closes: #182204

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Feb 2003 18:48:50 -0500

rpm (4.0.4-15) unstable; urgency=low

  * Conflict against packages in woody linked with librpm-4.0.3.so, which is
    not provided, although librpm4's soname did not change, to prevent upgrade
    problems. Closes: #178371 This is certianly not ideal, see #177298
  * Pirenially broken automake/autoconf jiggery of the hour. This now includes
    running autoconf twice, because it is not even *idempotent*. Gah.
  * Link librpmdb with db3. Closes: #150315

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Feb 2003 15:04:15 -0500

rpm (4.0.4-14) unstable; urgency=MEDIUM

  * Minor security fixes spotted by Paul Szabo.
    - cpanflute: check mkdir call and abort on failure
    - cross-build: drop the files into ~/srpms/done, not /tmp/srpms/done; but
      of course this is just an example script like it says
    - rpmdiff.cgi: like so many CGI scripts, this is utter insecure crap (use
      viewcvs); removed from binary package. Added note that it is completly
      insecure to source and make it die on startup. (Maximum impact:
      executation of arbitrary code as user cgi script runs as.)
    - vpkg-provides.sh, vpkg-provides2.sh: Use tempfile(1) for safe creation
      of all temporary files. Many changes and untested. These scripts do not
      work on linux anyway.
    None of the above programs were ever run by rpm when building packages.
    Therefore these security holes are unlikely to have impacted casual RPM
    users.
    Closes: #173242 (also sent upstream)
  * rpmio.h ifdef fix for glibc 2.3. Closes: #173502

 -- Joey Hess <joeyh@debian.org>  Thu, 19 Dec 2002 00:31:10 -0500

rpm (4.0.4-13) unstable; urgency=low

  * Built with fixed debhelper that will install /usr/src/rpm properly
    although the subdirectories are empty. Closes: #172717

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Dec 2002 14:41:37 -0500

rpm (4.0.4-12) unstable; urgency=low

  * check-prereqs won't work on debian, as we don't have a bash hacked for
    rpm --rpm-requires (gag). Make the script shut up, and make it
    pass sh -n to shut up lintian.
  * Install Specfile.pm mode 644.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Nov 2002 14:58:19 -0500

rpm (4.0.4-11) unstable; urgency=low

  * Don't fail removing empty directories in rules file if there are none to
    remove. Closes: #159049

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Oct 2002 17:55:22 -0400

rpm (4.0.4-10) unstable; urgency=low

  * Seems I must force use of autoconf2.13 all of a sudden though I changed
    nothing. Shite. Closes: #157200

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Aug 2002 12:40:21 -0400

rpm (4.0.4-9) unstable; urgency=low

  * In beecrypt, don't try to use asm versons of ASM_MP32{SET,ADD}MUL on arm.
    Closes: #157059

 -- Joey Hess <joeyh@debian.org>  Sat, 17 Aug 2002 23:28:24 -0400

rpm (4.0.4-8) unstable; urgency=low

  * rpmbuild went missing on i386 somehow (debhelper bug specific to my
    environment); rebuild to fix that. Closes: #152017

 -- Joey Hess <joeyh@debian.org>  Fri,  5 Jul 2002 23:02:35 -0400

rpm (4.0.4-7) unstable; urgency=low

  * Link with proper debian popt package, which is sufficiently up-to-date
    now.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Jun 2002 13:48:25 -0400

rpm (4.0.4-6) unstable; urgency=low

  * Fixed typo in perl.req, Closes: #148906

 -- Joey Hess <joeyh@debian.org>  Mon,  3 Jun 2002 11:28:42 -0400

rpm (4.0.4-5) unstable; urgency=low

  * Argh, librpm4, not rpm. Closes: #148571

 -- Joey Hess <joeyh@debian.org>  Thu, 30 May 2002 13:36:56 -0400

rpm (4.0.4-4) unstable; urgency=low

  * Tighten up the shlibs deps to only the current version of rpm, since
    packages linked with it will include the minor version in the file they
    link to, because of the way its soname is messed up. Gag. See #148376

 -- Joey Hess <joeyh@debian.org>  Tue, 28 May 2002 22:33:43 -0400

rpm (4.0.4-3) unstable; urgency=low

  * Build -sa, I suppose I didn't upload -1 to the debian archive.

 -- Joey Hess <joeyh@debian.org>  Fri,  3 May 2002 18:35:17 -0400

rpm (4.0.4-2) unstable; urgency=low

  * Removed file conflict between -dev and lib package.

 -- Joey Hess <joeyh@debian.org>  Thu,  2 May 2002 20:48:40 -0400

rpm (4.0.4-1) unstable; urgency=low

  * New upstream release.
  * Includes crypto. I had to link beecrypt statically from the sources in
    rpm, rather than using the debian one, since rpm uses beecrypt internal
    functions. Sigh.
  * Still using internal popt, as it has functions not in the debian one.
  * Updated copyright file.
  * Hacked around more automake crap, this time involving use of += vs =
  * Get rid of dh_movefiles and use dh_install instead; much better.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2002 00:00:59 -0500

rpm (4.0.3-8) unstable; urgency=low

  * Fixed powerpc building. Closes: #143398

 -- Joey Hess <joey@kitenet.net>  Fri, 19 Apr 2002 00:58:25 -0400

rpm (4.0.3-7) unstable; urgency=low

  * Backported fix for powerpc subarch detection problem (mfspr SIGILL trap).
    Completly and utterly untested, but it's all ifdef'ed for powerpc.
    Closes: #143091

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Apr 2002 12:50:21 -0400

rpm (4.0.3-6) unstable; urgency=low

  * Fix lsb-rpm deps (so a old dpkg-dev can build this)

 -- Joey Hess <joey@kitenet.net>  Sat,  6 Apr 2002 12:55:27 -0500

rpm (4.0.3-5) unstable; urgency=low

  * Added a rpm-lsb package. Closes: #108059
    This is for building lsb packages, it will always generate v3 packages
    and it is statically linked for the lsbdev chroot. It will be used by
    the soon forthcoming lsbdev package.
  * Removed unnecessary old dependency on bzip2.

 -- Joey Hess <joey@kitenet.net>  Tue, 26 Mar 2002 19:59:35 -0500

rpm (4.0.3-4) unstable; urgency=low

  * Fixed a build failure on m68k (I hope) Closes: #130471

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Jan 2002 20:56:57 -0500

rpm (4.0.3-3) unstable; urgency=low

  * Patched header.h and rpmdb.h to #include <rpm/blah>, so they can be
    #included from the installed librpm-dev package.
  * Make librpm-dev provide librpm0-dev, for back-compatability.
  * Use debhelper v4 (for dh_makeshlibs -V saneness).
  * Make librpm-dev depend on libdm3-dev; you need to link with db3 to link
    in librpmdb. Closes: #128299

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 23:41:36 -0500

rpm (4.0.3-2) unstable; urgency=low

  * It does not make sense for rpm to check BuildPrereq's on debian systems,
    which lack a rpm db. So, hacked the rpmpopt file to add --nodeps to all
    invocations of rpmb. Closes: #119591

 -- Joey Hess <joeyh@debian.org>  Sat,  5 Jan 2002 15:27:55 -0500

rpm (4.0.3-1) unstable; urgency=low

  * The "where did that soname come from?" release.
  * So there's a soname now, but it's ugly as sin. Renamed the lib package
    to librpm4, but the soname is really "librpm-4.0.3".
  * I also took this opportunity to remove a version from the librpm-dev
    package. There can only be one, I hope.
  * This includes Perl-RPM, and if someone needs a librpm-perl package to be
    built, just ask.
  * Building with the popt in rpm again instead of debian's, which is too
    old. This bloats rpm a lot, and I hope for a better resolution soon.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Dec 2001 16:26:15 -0500

rpm (4.0.2-18) unstable; urgency=HIGH

  * Applied a patch dug out of a connectiva .src.rpm, that appears to fix
    a bug that could allow arbitrary code to execute when rpm was used to
    query a malicious package. Hard to check since there is no known exploit
    and since no real technical information about the hole has been publically
    posted.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2001 12:06:46 -0500

rpm (4.0.2-17) unstable; urgency=low

  * Moved build-dep to automake1.5. Closes: #117299

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Oct 2001 13:38:26 -0400

rpm (4.0.2-16) unstable; urgency=low

  * The "automake considered harmful" release.
  * Modified various random things in Makefile.am's and the automake
    invocation, that somehow make it build with autoconf 1.5.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Oct 2001 20:05:53 -0400

rpm (4.0.2-15) unstable; urgency=low

  * Fixed line in macros file that still pointed at /usr/src/rpm.
    Closes: #104063

 -- Joey Hess <joeyh@debian.org>  Mon,  9 Jul 2001 11:25:00 -0400

rpm (4.0.2-14) unstable; urgency=low

  * Make librpm0 conflict with over versions of rpm, which it breaks.
    Closes: #103688

 -- Joey Hess <joeyh@debian.org>  Fri,  6 Jul 2001 12:26:22 -0400

rpm (4.0.2-13) unstable; urgency=low

  * Deal with /usr/src/redhat having arbitratry contents, including whole
    build trees, when doing the move. Closes: #103236

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jul 2001 19:20:38 -0400

rpm (4.0.2-12) unstable; urgency=low

  * Fixed /usr/src/redhat directory, which recent versions of autoconf
    had begin changing to /usr/src/pc. This seems to be coming from
    '<arch>-pc-linux-gnu' (just guessing, it is all too horrific to track
    down). Anyway, it seems in the configure.in that they actually are
    making some effort to make it be /usr/src/<distro>, for rpm-derived
    distributions. Since using /usr/src/debian for rpm on debian is too
    evil to be believed, I have made it use /usr/src/rpm for debian.
  * Of course, a lot of docs refer to /usr/src/redhat/. Added something to
    README.Debian about it.
  * Contents of existing /usr/src/redhat directories will be moved
    into /usr/src/rpm on upgrade.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 14:40:06 -0400

rpm (4.0.2-11) unstable; urgency=low

  * Fixed rpm2cpio, Closes: #100532, #100558

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Jun 2001 11:27:08 -0400

rpm (4.0.2-10) unstable; urgency=low

  * Added -h switch to rpm2cpio, Closes: #100017

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Jun 2001 20:20:25 -0400

rpm (4.0.2-9) unstable; urgency=low

  * Fixed for the new autoconf.

 -- Joey Hess <joeyh@debian.org>  Thu, 24 May 2001 19:02:40 -0400

rpm (4.0.2-8) unstable; urgency=low

  * Don't remove ltconfig, Closes: #97501

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2001 20:02:33 -0400

rpm (4.0.2-7) unstable; urgency=low

  * Build with new libpopt-dev to fix versoned libpopt0 dependancy problem.
    Closes: #95789

 -- Joey Hess <joeyh@debian.org>  Fri,  4 May 2001 22:34:03 -0400

rpm (4.0.2-6) unstable; urgency=low

  * Fixed python/Makefile.am to link in the shared popt lib, not the static
    one I don't build. Closes: #95709

 -- Joey Hess <joeyh@debian.org>  Mon, 30 Apr 2001 00:00:28 -0400

rpm (4.0.2-5) unstable; urgency=low

  * Use [:lower:] in rules fule because fucking LC_COLLATE blows me.

 -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2001 22:59:58 -0400

rpm (4.0.2-4) unstable; urgency=low

  * ACKing Paul's NMU, Closes: #95082, #95082
  * Removed other popt cruft.
  * Added versioned build-dep on current libpopt.
  * Reversed the dh_installdocs change as I cannot reproduce any problem.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Apr 2001 14:12:11 -0400

rpm (4.0.2-3.1) unstable; urgency=low

  * NMU
  * As libpopt0 is now maintained, stop linking it in statically, or
    compiling it. (Fixes: #95082)
  * Something odd happens with dh_installdocs if you specify globs on
    command line. Put them in rpm.docs instead.

 -- Paul Martin <pm@debian.org>  Wed, 25 Apr 2001 03:20:37 +0100

rpm (4.0.2-3) unstable; urgency=low

  * Retry with -sa.

 -- Joey Hess <joeyh@debian.org>  Thu,  5 Apr 2001 23:58:49 -0700

rpm (4.0.2-2) unstable; urgency=low

  * Moved the package from extra to optional. Alien is in optional, and
    that is the right place for it too by my reading of policy. The only
    reason rpm was in extra was because it only seemed useful to those with
    specialized requirements (debian users don't need to fiddle with rpms,
    right?) Well, running alien is not a particularly specialized
    requirement. (I've kept the -dev package in extra though.)

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Apr 2001 15:23:58 -0700

rpm (4.0.2-1) unstable; urgency=low

  * New upstream.

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Mar 2001 21:08:37 -0800

rpm (4.0-3) unstable; urgency=low

  * Have to include ugid.h in the -dev package since misc.h includes it.
    Closes: #90838

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Mar 2001 20:38:48 -0800

rpm (4.0-2) unstable; urgency=low

  * Fixed undeclared recusrive self-build dep.

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Mar 2001 20:29:20 -0800

rpm (4.0-1) unstable; urgency=low

  * New upstream version. Closes: #75189
  * Build-depends on db3.
  * The lib and dev packages have changed to librpm0 from librpm1. Yes,
    this is counterintuitive, but librpm1 was a mistake from the beginning;
    the lib is still 0.0.0, and I'm sure the interface has changed.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Mar 2001 19:01:21 -0800

rpm (3.0.5-5) unstable; urgency=low

  * librpm1-dev depends on libpopt-dev, Closes: #83558

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jan 2001 11:21:52 -0800

rpm (3.0.5-4) unstable; urgency=low

  * Rebuild, Closes: #77474

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2000 19:15:54 -0800

rpm (3.0.5-3) unstable; urgency=low

  * Rebuilt with new glibc.
  * Corrected build process so it links with the libs it just built, not
    those installed on the system.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Sep 2000 21:18:26 -0700

rpm (3.0.5-2) unstable; urgency=low

  * Blast, I got the symlink order wrong. Closes: 72539 (inexplicably
    grave)

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Sep 2000 21:22:24 -0700

rpm (3.0.5-1) unstable; urgency=low

  * This version of rpm supports rpmv4, without needing db3, which is not
    yet in Debian. Closes: #70713
  * Use debhelper v2.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Sep 2000 19:10:15 -0700

rpm (3.0.4-3) unstable; urgency=low

  * This one fell through the cracks. Fixed rpmlib.h to properly reference
    location of header files, which are in /usr/include/rpm, not
    /usr/include. Closes: #58839

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 16:01:10 -0700

rpm (3.0.4-2) unstable; urgency=low

  * If /etc/rpmrc is still around, kill it. I think it's lingering on in
    some systems, because it used to not be a conffile, then became a
    conffile, and then was removed entirely. Probably upgrades from the
    not-a-conffile state direct to the current state fail to delete it.
  * Make sure /etc/rpm/macros is deleted on purge. (It's generated in some
    cases by convertrpmrc.sh.)
  * Closes: #69557

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Aug 2000 14:29:39 -0700

rpm (3.0.4-1) unstable; urgency=low

  * New upstream.
  * Include rpm GPG key.
  * Again: They've been changing things in the library w/o bumping the
    soname, so I added conflicts..
  * Depend on perl5

 -- Joey Hess <joeyh@debian.org>  Sun,  7 May 2000 15:47:57 -0700

rpm (3.0.3-2) unstable; urgency=low

  * Don't include a duplicate of the upstream changelog (typo).
    Closes: #58747

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Feb 2000 19:42:23 -0800

rpm (3.0.3-1) unstable; urgency=low

  * New upstream.
  * They've been changing things in the library w/o bumping the soname, so
    I added conflicts..

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Jan 2000 16:54:11 -0800

rpm (3.0.2-17) unstable; urgency=low

  * Hacked find-requires to ignore libfakeroot. Closes: #54495

 -- Joey Hess <joeyh@debian.org>  Sat,  8 Jan 2000 15:00:13 -0800

rpm (3.0.2-16) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 15:29:40 -0800

rpm (3.0.2-15) unstable; urgency=low

  * Rebuilt with latest bzip library to fix dependancy. (Closes: #47601)

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Oct 1999 14:31:52 -0700

rpm (3.0.2-14) unstable; urgency=low

  * Corrected bzip2 dependancy, Closes: #46869

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 1999 14:06:30 -0700

rpm (3.0.2-13) unstable; urgency=low

  * Reupload with .tar.gz, Closes: #45727, #34032

 -- Joey Hess <joeyh@debian.org>  Sun,  3 Oct 1999 12:35:24 -0700

rpm (3.0.2-12) unstable; urgency=low

  * Um, what happened to my last upload? It has vanished from incoming.
    Re-upload, Closes: 45727, #34032

 -- Joey Hess <joeyh@debian.org>  Fri,  1 Oct 1999 13:16:36 -0700

rpm (3.0.2-11) unstable; urgency=low

  * Corrected rpmlib dependancy. Closes: #45727, #34032 (indirectly).

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Sep 1999 12:32:23 -0700

rpm (3.0.2-10) unstable; urgency=low

  * Removed files that conflict with libpopt0 (Closes: #45623, #45620)
  * Uploaded full source this time, I goofed the version number and omitted
    it last time.

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Sep 1999 15:54:46 -0700

rpm (3.0.2-9) unstable; urgency=low

  * New upstream release.
  * Cut the debian diff down to be as small as possible.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 23:28:16 -0700

rpm (3.0-8) unstable; urgency=low

  * FHS (note that is it *not* particularly FHS compliant when building
    rpm packages).

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Sep 1999 21:29:45 -0700

rpm (3.0-7) unstable; urgency=low

  * Rebuilt, depending on libpopt0. (Closes #41566, #41864)

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Jul 1999 12:38:12 -0700

rpm (3.0-6) unstable; urgency=low

  * Built w/o bzip2, to fix undefined bzip symbols when linking with rpmlib.

 -- Joey Hess <joeyh@debian.org>  Fri,  9 Jul 1999 09:34:01 -0700

rpm (3.0-5) unstable; urgency=low

  * Modified convertrpmrc.sh to make temp files in /tmp. It was putting them
    in the current directory Closes: #39205

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Jun 1999 23:44:01 -0700

rpm (3.0-4) unstable; urgency=low

  * Stopped using the popt that comes in the rpm source tree. Fixes a file
    collision saves some disk space. (#37388)

 -- Joey Hess <joeyh@debian.org>  Sun,  9 May 1999 18:14:30 -0700

rpm (3.0-3) unstable; urgency=low

  * Modified convertrrpmrc so it will operate on other rpmrc files and
    generate other macros files, if filenames are passed to it as
    arguments 1 and 2.
  * Added note to README.Debian about rc file conversion.

 -- Joey Hess <joeyh@debian.org>  Sat, 24 Apr 1999 12:31:06 -0700

rpm (3.0-2) unstable; urgency=low

  * The library package conflicts with old versions of rpm, and fixed the
    dependancies of rpm on it.
  * Postinst will now run convertrpmrc.sh if /etc/rpmrc exists and
    /etc/rpm/macros does not.

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 1999 13:23:45 -0700

rpm (3.0-1) unstable; urgency=low

  * Major new upstream release. Probably breaks alien.
    Assorted painful hacks to make it build shared libs with the new
    automake based build system.
  * Fixed shlibs file.

 -- Joey Hess <joeyh@debian.org>  Thu, 22 Apr 1999 14:18:35 -0700

rpm (2.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Wed, 24 Mar 1999 17:12:14 -0800

rpm (2.5.5-3) unstable; urgency=low

  * Relevatized symlinks to shut up lintian.

 -- Joey Hess <joeyh@debian.org>  Thu,  4 Feb 1999 14:46:32 -0800

rpm (2.5.5-2) unstable; urgency=low

  * Minor typo fix (closes: #32762).

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Feb 1999 14:31:38 -0800

rpm (2.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Nov 1998 18:41:58 -0800

rpm (2.5.1-6) unstable; urgency=low

  * Added stddef.h include to miscfn.h.
  * Removed the extra source tree from the diff, this time. (Argh!)

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Sep 1998 00:28:36 -0700

rpm (2.5.1-5) unstable; urgency=low

  * Patch from Matt McLean <keys@yikes.com>, that fixes compilation on
    powerpc and makes it create the proper /usr/src/redhat/RPMS/<arch>
    directories.
  * Another patch from Matt makes configure test for arpa/inet.h, which
    doesn't exist in glibc 2.1.
  * Removed a whole extra unpacked tree from the .orig.tar.gz. Whoops! Let's
    use pristine source while we're at it.

 -- Joey Hess <joeyh@debian.org>  Tue,  1 Sep 1998 21:09:30 -0700

rpm (2.5.1-4) unstable; urgency=low

  * Fixed == bashism.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Aug 1998 00:48:25 -0700

rpm (2.5.1-3) unstable; urgency=low

  * config.{guess|sub} changed to recognize a Arm architecture, patch from
    Turbo Fredriksson <turbo@tripnet.se>

 -- Joey Hess <joeyh@debian.org>  Sat, 15 Aug 1998 12:32:07 -0700

rpm (2.5.1-2) unstable; urgency=low

  * Rebuilt with gettext for inetrnationalization support.
    - had to hack on rpm's makefiles to make this work, and patch a bug in
      one of the .po files.
  * Made libbuild.so be compiled with -fPIC.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jun 1998 11:37:04 -0700

rpm (2.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Jun 1998 23:28:11 -0400

rpm (2.5-1) unstable; urgency=low

  * New upstream release.
  * Finally split up properly into library packages and rpm package (#19591).
  * As a consequence of the above, rpm no longer depends on itself.
  * I made rpm only suggest alien, reccommends seemed to strong, since you
    may well be installing rpm to do something other than install packages
    with it.

 -- Joey Hess <joeyh@debian.org>  Sat, 23 May 1998 09:39:11 -0400

rpm (2.4.12-7) frozen unstable; urgency=low

  * Make postinst call ldconfig, to comply with latest packaging manual.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Apr 1998 17:32:27 -0700

rpm (2.4.12-6) unstable; urgency=low

  * Applied quick fix for bug #19591, so rpm2html can build. Later (after
    the freeze), I will properly split up rpm into librpm and librpm-dev
    packages.

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Mar 1998 00:21:15 -0800

rpm (2.4.12-5) unstable; urgency=low

  * Fixed spelling mistake in copyright file.
  * Updated copyright file - librpm is under LGPL.

 -- Joey Hess <joeyh@debian.org>  Sat,  7 Mar 1998 22:15:22 -0800

rpm (2.4.12-4) unstable; urgency=low

  * Link the libraries with -lc.
  * Don't install shared libraries using their sonames.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Feb 1998 16:28:45 -0800

rpm (2.4.12-3) unstable; urgency=low

  * Added a shlibs file and fixed all other lintian errors and warnings.

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Feb 1998 14:54:40 -0800

rpm (2.4.12-2) unstable; urgency=low

  * Applied parch for sparc/pre 2.1 glibc (#17294). Also sent upstream.

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Jan 1998 22:07:26 -0800

rpm (2.4.12-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Jan 1998 22:12:31 -0500

rpm (2.4.11-1) unstable; urgency=low

  * New upstream release.
  * Fixes a security hole in rpm's --setperms switch. This will probably not
    affect any debian users, however.

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Dec 1997 20:41:22 -0500

rpm (2.4.10-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Nov 1997 15:52:32 -0500

rpm (2.4.9-1) unstable; urgency=low

  * New upstream release.
  * Added md5sums back in.
  * Added du file.

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Oct 1997 19:41:38 -0500

rpm (2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper.
  * Got rid of the libmisc hack since rpm doesn't need libmisc on debian
    systems anymore.

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 1997 19:09:09 -0400

rpm (2.4.7-1) unstable; urgency=low

  * New upstream release with pristine sources.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Sep 1997 16:12:16 -0400

rpm (2.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Fri, 29 Aug 1997 17:15:27 -0400

rpm (2.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Aug 1997 19:44:15 -0400

rpm (2.4.4-2) unstable; urgency=low

  * Include /usr/src/redhat/{BUILD/,RPMS/{noarch,<arch>}} in package so
    building rpms works out of the box. (#12220)

 -- Joey Hess <joeyh@debian.org>  Fri, 22 Aug 1997 12:41:50 -0400

rpm (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * No longer uses cpio at all.
  * Pristine sources used.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Aug 1997 10:56:36 -0400

rpm (2.4.2-2) unstable; urgency=low

  * Removed the RPM-HOWTO from the package, since it's also in the doc-linux
    package.

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Jul 1997 19:15:08 -0400

rpm (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * libc6.
  * debian/rules Fixes for fakroot.

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Jul 1997 22:07:23 -0400

rpm (2.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 1997 13:23:42 -0400

rpm (2.4-1) unstable; urgency=low

  * New upstream release.
  * Now only suggests cpio, becuase cpio is only needed to build rpms now,
    not to extract them.

 -- Joey Hess <joeyh@debian.org>  Fri, 16 May 1997 15:32:48 -0400

rpm (2.3.11-1) unstable; urgency=low

  * New upstream release.
  * Changed debian doc menu file to menu-1 format, added longtitle and
    description.

 -- Joey Hess <joeyh@debian.org>  Sun, 27 Apr 1997 15:33:11 -0400

rpm (2.3.10-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Apr 1997 14:47:48 -0400

rpm (2.3.9-2) unstable; urgency=high

  * Previous version depended on "limbisc.a" library wich was not present.
    Oops! Fixed to statically link to that.
  * Updated to rpm howto version 2.0, which is now in html format.
  * Added debian doc menu file.
  * Routine update of debian/rules:
    Run dpkg-gencontrol after debstd, and delete substvars during clean.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Apr 1997 16:09:36 -0400

rpm (2.3.9-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@debian.org>  Tue, 8 Apr 1997 16:16:52 -0400

rpm (2.3.8-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Thu, 20 Mar 1997 14:50:57 -0500

rpm (2.3.7-2) unstable; urgency=low

  * Depends on cpio.
  * Made man pages for find-provides, find-requires, gendiff, closes #6323.
  * Routine update of debian/rules:
    Clean up junk files in subdirs.
  * Fixed missing \n in de.po. (closed bug #7518)

 -- Joey Hess <joeyh@debian.org>  Sat, 8 Mar 1997 14:18:18 -0500

rpm (2.3.7-1) unstable; urgency=low

  * New upstream release

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Feb 1997 20:56:43 -0500

rpm (2.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Feb 1997 23:37:36 -0500

rpm (2.3.4-2) unstable; urgency=low

  * Previous version forgot to include rpm binary!
  * Uncommented some lines in /usr/lib/rpmrc that got commented by mistake
    because I had an old version of rpm installed in /usr/local/bin. Whoops.

 -- Joey Hess <joeyh@debian.org>  Sat, 1 Feb 1997 22:39:28 -0500

rpm (2.3.4-1) unstable; urgency=low

  * New upstream release.
  * Don't pass packagename to debstd, and call debstd after fixing
    permissions.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jan 1997 21:00:14 -0500

rpm (2.3.3-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Removed several references to alien being in the debmake package, replaced
    with references to the alien package.
  * Changed Recommends to alien from debmake.
  * Changed debian/rules to make the current maintainer more comfortable.
  * Commented out tmppath, cpiobin, fixperms, and defaultdocdir lines in
    /usr/lib/rpmrc, to close bug #6385
  * Added RPM-PGP-KEY and NEWS files to docs.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Jan 1997 19:10:59 -0500

rpm (2.3-1) unstable; urgency=low

  * gettext support enabled (Foreign Language Support)
  * New upstream release

 -- Christoph Lameter <clameter@waterf.org>  Wed, 1 Jan 1997 20:15:38 -0800

rpm (2.2.9-2) unstable; urgency=low

  * Rebuild due to problem with generating the .shlibs file

 -- Christoph Lameter <clameter@waterf.org>  Mon, 16 Dec 1996 09:42:02 -0800

rpm (2.2.9-1) unstable; urgency=low

  * Dependency problem with zlib1 fixed. The packages libdb1, zlib1 and
    libgdbm1 still do not provide their own .shlib file.
  * /etc/rpmrc made a conffile
  * Upstream update

 -- Christoph Lameter <clameter@waterf.org>  Tue, 10 Dec 1996 15:19:21 -0800

rpm (2.2.7-5) unstable; urgency=low

  * All references to rpminstall changed to alien

 -- Christoph Lameter <clameter@waterf.org>  Fri, 8 Nov 1996 10:14:50 -0800

rpm (2.2.7-4) unstable; urgency=low

  * Repackaged with newest debmake
  * The last changelog entry was not correct. There was no a.out library but
    Red Hat did something rather strange to construct a .a library composed
    of a lot of objectfiles. Might have had something to do with the
    independance of rpm from installed libraries (which is not necessary in
    the debian situation).

 -- Christoph Lameter <clameter@waterf.org>  Mon, 4 Nov 1996 06:24:09 -0800

rpm (2.2.7-3) unstable; urgency=low

  * Converted to use ELF library (Yes, guys Red Hat is still on a.out
    libraries for their Package Manager!). Thanks for the help from Dirk Eddelbuettel.

 -- Christoph Lameter <clameter@waterf.org>  Mon, 28 Oct 1996 19:18:41 -0800

rpm (2.2.7-2) unstable; urgency=low

  * Added warnings and recommendation to use rpminstall / debmake to
    manpage, control file and README.debian

 -- Christoph Lameter <clameter@waterf.org>  Mon, 28 Oct 1996 07:17:32 -0800

rpm (2.2.7-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 26 Oct 1996 21:04:34 -0700
